summaryrefslogtreecommitdiffstats
path: root/network/opendchub
diff options
context:
space:
mode:
author Michael Kapelko <kornerr @ Google mail>2010-05-11 22:55:00 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:00 +0200
commit7edc12b3babd6607640bc52a200e99deab8d219e (patch)
treed108db15ff7d66db2d2982877f859b212708cc24 /network/opendchub
parent16e7bde2ecb5f2c8b735223402d7b04b9c125b81 (diff)
downloadslackbuilds-7edc12b3babd6607640bc52a200e99deab8d219e.tar.gz
slackbuilds-7edc12b3babd6607640bc52a200e99deab8d219e.tar.xz
network/opendchub: Added to 12.1 repository
Diffstat (limited to 'network/opendchub')
-rw-r--r--network/opendchub/README1
-rw-r--r--network/opendchub/opendchub.SlackBuild86
-rw-r--r--network/opendchub/opendchub.info8
-rw-r--r--network/opendchub/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/network/opendchub/README b/network/opendchub/README
new file mode 100644
index 0000000000..54c1da32ca
--- /dev/null
+++ b/network/opendchub/README
@@ -0,0 +1 @@
+An Open Source Linux/Unix version of the hub software for Direct Connect.
diff --git a/network/opendchub/opendchub.SlackBuild b/network/opendchub/opendchub.SlackBuild
new file mode 100644
index 0000000000..f63ec1c877
--- /dev/null
+++ b/network/opendchub/opendchub.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for OpenDC Hub
+#
+# Copyright 2008 Michael Kapelko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=opendchub
+VERSION=0.7.15
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL README NEWS Documentation/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/network/opendchub/opendchub.info b/network/opendchub/opendchub.info
new file mode 100644
index 0000000000..9908041d9f
--- /dev/null
+++ b/network/opendchub/opendchub.info
@@ -0,0 +1,8 @@
+PRGNAM="opendchub"
+VERSION="0.7.15"
+HOMEPAGE="http://sourceforge.net/projects/opendchub"
+DOWNLOAD="http://downloads.sourceforge.net/opendchub/opendchub-0.7.15.tar.gz?modtime=1142801735&big_mirror=0"
+MD5SUM="8f9ab5bb7f85730f4b1ce7cceb6aef96"
+MAINTAINER="Michael Kapelko"
+EMAIL="kornerr @ Google mail"
+APPROVED="David Somero" \ No newline at end of file
diff --git a/network/opendchub/slack-desc b/network/opendchub/slack-desc
new file mode 100644
index 0000000000..533496a229
--- /dev/null
+++ b/network/opendchub/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |--handy-ruler-----------------------------------------------------|
+opendchub: OpenDC Hub (Open Source hub software for Direct Connect)
+opendchub:
+opendchub: OpenDC Hub is an Open Source Linux/Unix version of the hub
+opendchub: software for Direct Connect.
+opendchub:
+opendchub: Homepage: http://sourceforge.net/projects/opendchub
+opendchub:
+opendchub: Note that OpenDC Hub is quite old, you may want to have a look
+opendchub: at DBHub which is the offspring of OpenDC Hub.
+opendchub:
+opendchub: DBHub homepage: http://www.dbhub.org